Returns the available cities for a given country and region as a JSON array of city names.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/zone/{zoneId}/targeting/country/region/city/values.do
Returns the available cities for a given country and region as a JSON array of city names. Requires UPDATE permission on the zone's site inventory and MANAGE_SUPPLY_PRE_TARGETING user permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/zone/200/targeting/country/region/city/values.do?countryCode=US®ionName=California");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());